/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenereportPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "REPORTCODE")
    private String reportcode;
    @Basic(optional = false)
    @Column(name = "MODULECODE")
    private String modulecode;

    public TgenereportPK() {
    }

    public TgenereportPK(String reportcode, String modulecode) {
        this.reportcode = reportcode;
        this.modulecode = modulecode;
    }

    public String getReportcode() {
        return reportcode;
    }

    public void setReportcode(String reportcode) {
        this.reportcode = reportcode;
    }

    public String getModulecode() {
        return modulecode;
    }

    public void setModulecode(String modulecode) {
        this.modulecode = modulecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (reportcode != null ? reportcode.hashCode() : 0);
        hash += (modulecode != null ? modulecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenereportPK)) {
            return false;
        }
        TgenereportPK other = (TgenereportPK) object;
        if ((this.reportcode == null && other.reportcode != null) || (this.reportcode != null && !this.reportcode.equals(other.reportcode))) {
            return false;
        }
        if ((this.modulecode == null && other.modulecode != null) || (this.modulecode != null && !this.modulecode.equals(other.modulecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenereportPK[ reportcode=" + reportcode + ", modulecode=" + modulecode + " ]";
    }
    
}
